{
    attributes = (
        {
            columnName = TYET_ID; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = TYET_LIBELLE; 
            externalType = VARCHAR2; 
            name = tyetLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (tyetId, tyetLibelle); 
    className = org.cocktail.kiwi.server.metier.EOTypeEtat; 
    classProperties = (tyetLibelle); 
    externalName = JEFY_ADMIN.Type_Etat; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (tyetLibelle); 
        _javaClientClassName = org.cocktail.kiwi.client.metier.EOTypeEtat; 
    }; 
    name = TypeEtat; 
    primaryKeyAttributes = (tyetId); 
}
